Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STEnvironment class reference

### Authors

Stefan Urbanek (`urbanek@host.sk`)

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Free Software Foundation

# Software documentation for the STEnvironment class

## STEnvironment : STContext

> Declared in:
>   StepTalk/STEnvironment.h

Description forthcoming.

Instance Variables

### Method summary

- +environmentWithDefaultDescription
- +environmentWithDescription:
- +sharedEnvironment
- -addClassesWithNames:
- -includeBundle:
- -includeFramework:
- -initWithDefaultDescription
- -initWithDescription:
- -loadModule:
- -registerObjectFinder:name:
- -registerObjectFinderNamed:
- -removeObjectFinderWithName:
- -translateSelector:forReceiver:

### environmentWithDefaultDescription

+ (STEnvironment*) environmentWithDefaultDescription;
Creates and initialises new scripting environment using default description.

### environmentWithDescription:

+ (id) environmentWithDescription: (STEnvironmentDescription*)aDescription;
Creates and initialises scripting environment using environment description description.

### sharedEnvironment

+ (id) sharedEnvironment;
Creating environment
Returns an instance of the scripting environment that is shared in the scope of actual application or process.

### addClassesWithNames:

- (void) addClassesWithNames: (NSArray*)names;
Add classes specified by the names in the names array. This method is used internally to add classes provided by modules.

### includeBundle:

- (BOOL) includeBundle: (NSBundle*)aBundle;
Include scripting capabilities advertised by the bundle aBundle. If the bundle is already loaded, nothing happens.

### includeFramework:

- (BOOL) includeFramework: (NSString*)frameworkName;
Include scripting capabilities advertised by the framework with name frameworkName. If the framework is already loaded, nothing happens.

### initWithDefaultDescription

- (id) initWithDefaultDescription;
This is a designated initialiser for the class.
Initialises scripting environment using default description.

### initWithDescription:

- (id) initWithDescription: (bycopy STEnvironmentDescription*)aDescription;
Initialises scripting environment using scripting description aDescription.

### loadModule:

- (void) loadModule: (NSString*)moduleName;
Modules
Load StepTalk module with the name moduleName. Modules are stored in the Library/StepTalk/Modules directory.

### registerObjectFinder: name:

- (void) registerObjectFinder: (id)finder name: (NSString*)name;
Distributed objects
Register object finder finder under the name name

### registerObjectFinderNamed:

- (void) registerObjectFinderNamed: (NSString*)name;
Register object finder named name. This method will try to find an object finder bundle in Library/StepTalk/Finders directories.

### removeObjectFinderWithName:

- (void) removeObjectFinderWithName: (NSString*)name;
Remove object finder with name name

### translateSelector: forReceiver:

- (NSString*) translateSelector: (NSString*)aString forReceiver: (id)anObject;
Selector translation

## Instance Variables for STEnvironment Class

### classes

@protected NSMutableDictionary* classes;
Description forthcoming.

### description

@protected STEnvironmentDescription* description;
Description forthcoming.

### infoCache

@protected NSMutableDictionary* infoCache;
Description forthcoming.

### loadedBundles

@protected NSMutableArray* loadedBundles;
Description forthcoming.

### objectFinders

@protected NSMutableDictionary* objectFinders;
Description forthcoming.

Up